Subject: Re: can not compile cscope on cygwin
From: Mark Paulus <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 28 Apr 2005 08:08:53 -0600

I just tried this, and it appears that you don't have 
lex/flex and/or bison/byacc installed.  Apparently
these aren't selected by default from the cygwin
setup tool.  Re-run the cygwin setup tool, and under 
Devel, select bison and flex, and you should be good
to go.

On Wed, 27 Apr 2005 15:46:47 -0400 (EDT), Igor Pechtchanski wrote:

>On Wed, 27 Apr 2005, lin q wrote:

>> Hi,
>>  I am using latest version cygwin and I just downloaded cscope 15.5, but in
>> compiling it there is such error,
>>
>> $ make
>> make  all-recursive
>> make[1]: Entering directory `/c/bin/cscope-15.5'
>> Making all in doc
>> make[2]: Entering directory `/c/bin/cscope-15.5/doc'
>> make[2]: Nothing to be done for `all'.
>> make[2]: Leaving directory `/c/bin/cscope-15.5/doc'
>> Making all in src
>> make[2]: Entering directory `/c/bin/cscope-15.5/src'
>> /bin/bash ../ylwrap `test -f 'fscanner.l' || echo './'`fscanner.l .c
>> fscanner.c -- :
>> make[2]: *** [fscanner.c] Error 1
>> make[2]: Leaving directory `/c/bin/cscope-15.5/src'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory `/c/bin/cscope-15.5'
>> make: *** [all] Error 2
>>
>> Do you know what is wrong?

>Please review and follow
>> Problem reports:       http://cygwin.com/problems.html
>to provide enough information about your installation for this list to
>help you.

>Without the above information, I would guess that it's a line ending issue
>of some sort (since you're using /c, and I suppose your cygdrive prefix is
>empty rather than "c:" being mounted on /c explicitly).

>> Is there any pre-compiled cscope for cygwin somewhere?

>According to <http://cygwin.com/packages/>, the only matches for "cscope"
>are in the vim source package, so no, there isn't an official cscope
>package.  You can Google for unofficial ones, I suppose.
>	Igor
>-- 
>				http://cs.nyu.edu/~pechtcha/
>      |\      _,,,---,,_		[email-masked]
>ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

>"The Sun will pass between the Earth and the Moon tonight for a total
>Lunar eclipse..." -- WCBS Radio Newsbrief, Oct 27 2004, 12:01 pm EDT

>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/